## ros-indigo-moveit-ros-visualization 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_visualization)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED thread date_time system filesystem)

find_package(PkgConfig REQUIRED)

# Ogre
pkg_check_modules(OGRE OGRE)
link_directories( ${OGRE_LIBRARY_DIRS} )

# Qt Stuff
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})
add_definitions(-DQT_NO_KEYWORDS)

find_package(catkin REQUIRED COMPONENTS
  moveit_ros_planning_interface
  moveit_ros_robot_interaction
  moveit_ros_warehouse
  moveit_ros_perception
  cmake_modules
  eigen_conversions
  geometric_shapes
  interactive_markers
  class_loader
  rviz
  tf
  roscpp
  rosconsole
  object_recognition_msgs
)
find_package(Eigen REQUIRED)

catkin_package(
  LIBRARIES
    moveit_rviz_plugin_render_tools
    moveit_robot_state_rviz_plugin_core
    moveit_motion_planning_rviz_plugin_core
    moveit_trajectory_rviz_plugin_core
    moveit_planning_scene_rviz_plugin_core
  INCLUDE_DIRS
    rviz_plugin_render_tools/include
    robot_state_rviz_plugin/include
    planning_scene_rviz_plugin/include
    motion_planning_rviz_plugin/include
    trajectory_rviz_plugin/include
  CATKIN_DEPENDS
    moveit_ros_planning_interface
    moveit_ros_robot_interaction
    )

catkin_install_python(PROGRAMS scripts/moveit_joy.py DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
catkin_python_setup()

include_directories(rviz_plugin_render_tools/include
                    robot_state_rviz_plugin/include
                    planning_scene_rviz_plugin/include
                    motion_planning_rviz_plugin/include
                    trajectory_rviz_plugin/include
                    ${Boost_INCLUDE_DIRS}
                    ${catkin_INCLUDE_DIRS})

include_directories(SYSTEM
                    ${QT_INCLUDE_DIR}
                    ${OGRE_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(rviz_plugin_render_tools)
add_subdirectory(robot_state_rviz_plugin)
add_subdirectory(planning_scene_rviz_plugin)
add_subdirectory(motion_planning_rviz_plugin)
add_subdirectory(trajectory_rviz_plugin)

install(FILES
  motion_planning_rviz_plugin_description.xml
  trajectory_rviz_plugin_description.xml
  planning_scene_rviz_plugin_description.xml
  robot_state_rviz_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY icons DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_rostest(test/moveit_joy.test)
endif()

=== motion_planning_rviz_plugin/CMakeLists.txt ===

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set( headers
  include/moveit/motion_planning_rviz_plugin/motion_planning_display.h
  include/moveit/motion_planning_rviz_plugin/motion_planning_frame.h
)

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES ${headers})

qt4_wrap_ui(UIC_FILES
  src/ui/motion_planning_rviz_plugin_frame.ui
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Plugin Source
set(SOURCE_FILES
  src/motion_planning_frame.cpp
  src/motion_planning_frame_context.cpp
  src/motion_planning_frame_planning.cpp
  src/motion_planning_frame_objects.cpp
  src/motion_planning_frame_scenes.cpp
  src/motion_planning_frame_states.cpp
  src/motion_planning_display.cpp
  src/motion_planning_frame_manipulation.cpp
)

set(MOVEIT_LIB_NAME moveit_motion_planning_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core ${SOURCE_FILES} ${MOC_SOURCES} ${UIC_FILES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== planning_scene_rviz_plugin/CMakeLists.txt ===

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES include/moveit/planning_scene_rviz_plugin/planning_scene_display.h)

set(MOVEIT_LIB_NAME moveit_planning_scene_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core
  src/planning_scene_display.cpp
  ${MOC_SOURCES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools ${catkin_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME}_core ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== robot_state_rviz_plugin/CMakeLists.txt ===

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES include/moveit/robot_state_rviz_plugin/robot_state_display.h)

set(MOVEIT_LIB_NAME moveit_robot_state_rviz_plugin)
add_library(${MOVEIT_LIB_NAME}_core src/robot_state_display.cpp ${MOC_SOURCES})
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_core moveit_rviz_plugin_render_tools ${catkin_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES})

add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME}_core ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== rviz_plugin_render_tools/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_rviz_plugin_render_tools)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set( headers
  include/moveit/rviz_plugin_render_tools/trajectory_visualization.h
  include/moveit/rviz_plugin_render_tools/trajectory_panel.h
)

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES ${headers})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(${MOVEIT_LIB_NAME}
  src/render_shapes.cpp
  src/robot_state_visualization.cpp
  src/planning_scene_render.cpp
  src/planning_link_updater.cpp
  src/octomap_render.cpp
  src/trajectory_visualization.cpp
  src/trajectory_panel.cpp
  ${MOC_SOURCES}
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)

target_link_libraries(${MOVEIT_LIB_NAME}
  ${catkin_LIBRARIES}
  ${OGRE_LIBRARIES}
  ${QT_LIBRARIES}
  ${Boost_LIBRARIES}
)

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== trajectory_rviz_plugin/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_trajectory_rviz_plugin)

# Header files that need Qt Moc pre-processing for use with Qt signals, etc:
set( headers
  include/moveit/trajectory_rviz_plugin/trajectory_display.h
)

# Convert the Qt Signals and Slots for QWidget events
qt4_wrap_cpp(MOC_SOURCES ${headers})

include_directories(${CMAKE_CURRENT_BINARY_DIR})

# Trajectory Display
add_library(${MOVEIT_LIB_NAME}_core
  src/trajectory_display.cpp
  ${MOC_SOURCES}
)
set_target_properties(${MOVEIT_LIB_NAME}_core PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME}_core
  moveit_rviz_plugin_render_tools
  moveit_planning_scene_rviz_plugin_core
  ${catkin_LIBRARIES} ${OGRE_LIBRARIES} ${QT_LIBRARIES} ${Boost_LIBRARIES}
)

# Plugin Initializer
add_library(${MOVEIT_LIB_NAME} src/plugin_init.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(DIRECTORY include/ DESTINATION include)

install(TARGETS ${MOVEIT_LIB_NAME} ${MOVEIT_LIB_NAME}_core
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-moveit-ros-visualization (0.7.14-1trusty) trusty; urgency=high

  * [fix] Robot model not shown after MSA #786 <https://github.com/ros-planning/moveit/issues/786>
  * [fix] fix race conditions when updating PlanningScene #350 <https://github.com/ros-planning/moveit/issues/350>
  * Contributors: Michael Görner, Robert Haschke

 -- Jon Binney <jon.binney@gmail.com>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.13-1trusty) trusty; urgency=high

  * [fix] don't crash on empty robot_description in RobotState plugin #688 <https://github.com/ros-planning/moveit/issues/688>
  * [fix] RobotState rviz previewer: First message from e.g. latching publishers is not applied to robot state correctly (#596 <https://github.com/ros-planning/moveit/issues/596>)
  * [doc] Document auto scale in Rviz plugin (#602 <https://github.com/ros-planning/moveit/issues/602>)
  * Contributors: Dave Coleman, Isaac I.Y. Saito, Simon Schmeisser, axelschroth

 -- Jon Binney <jon.binney@gmail.com>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.12-1trusty) trusty; urgency=high

  * [fix] RobotStateVisualization: clear before load to avoid segfault #572 <https://github.com/ros-planning/moveit/pull/572>
  * Contributors: v4hn

 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.11-1trusty) trusty; urgency=high

  * [fix] TrajectoryVisualization crash if no window_context exists (#523 <https://github.com/ros-planning/moveit/issues/523>, #525 <https://github.com/ros-planning/moveit/issues/525>)
  * [enhance] rviz display: stop trajectory visualization on new plan. Fixes #526 <https://github.com/ros-planning/moveit/issues/526> (#531 <https://github.com/ros-planning/moveit/issues/531>, #510 <https://github.com/ros-planning/moveit/issues/510>).
  * [fix] robot display: Don't reload robot model upon topic change (Fixes #528 <https://github.com/ros-planning/moveit/issues/528>)
  * Contributors: Isaac I.Y. Saito, Simon Schmeisser, Yannick Jonetzko, henhenhen, v4hn

 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.10-1trusty) trusty; urgency=high

  * [fix] moveit rviz panel name #482 <https://github.com/ros-planning/moveit/pull/482>
  * [fix] Build for Ubuntu YZ by adding BOOST_MATH_DISABLE_FLOAT128 (#505 <https://github.com/ros-planning/moveit/issues/505>)
  * [fix][moveit_ros/visualization] Tentative encoding workaround (https://github.com/ros-infrastructure/catkin_pkg/issues/181).
  * [capability] New panel with a slider to control the visualized trajectory (#491 <https://github.com/ros-planning/moveit/issues/491>) (#508 <https://github.com/ros-planning/moveit/issues/508>)
  * Contributors: Dave Coleman, Mikael Arguedas, Isaac I.Y. Saito, Yannick Jonetzko

 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.9-1trusty) trusty; urgency=high

  * [fix][moveit_ros_visualization] rviz panel: Don't add object marker if the wrong tab is selected #454 <https://github.com/ros-planning/moveit/pull/454>
  * Contributors: Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.8-1trusty) trusty; urgency=high

  * [fix] correct "simplify widget handling" #452 <https://github.com/ros-planning/moveit/pull/452> This reverts "simplify widget handling (#442 <https://github.com/ros-planning/moveit/issues/442>)"
  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov, Yannick Jonetzko

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.7-1trusty) trusty; urgency=high

  * clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.2-1trusty) trusty; urgency=high

  * [fix][joy.py] Installed python file might not be executable. (#691 <https://github.com/ros-planning/moveit_ros/issues/691>)
  * [fix] rostest dependency (#680 <https://github.com/ros-planning/moveit_ros/issues/680>), fixes c6d0ede (#639 <https://github.com/ros-planning/moveit_ros/issues/639>)
  * [fix] always (re)create collision object marker
    (other properties than pose (such as name of the marker) need to be adapted too)
  * [fix] correctly update planning_scene_node on changes of model-frame w.r.t. fixed frame
  * [fix] Traj Rviz Plugin to properly change robot description parameter
  * [feat] display planned path in correct rviz context
  * [feat] leave frame transforms to rviz
  * [enhance] use getModelFrame() as reference frame for markers
  * Contributors: Ammar Najjar, Dave Coleman, Isaac I.Y. Saito, Robert Haschke, Michael Goerner

 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-visualization (0.7.1-1trusty) trusty; urgency=high

  * [feat] Adding acceleration scaling factor
  * [fix] widget naming issues
  * [sys] explicitly link rviz' default_plugin library. The library is not exported anymore and now is provided separately from rviz_LIBRARIES. See https://github.com/ros-visualization/rviz/pull/979 for details.
  * Contributors: hemes, v4hn



=== debian/control ===
Source: ros-indigo-moveit-ros-visualization
Section: misc
Priority: extra
Maintainer: Jon Binney <jon.binney@gmail.com>
Build-Depends: debhelper (>= 9.0.0), pkg-config, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-geometric-shapes, ros-indigo-interactive-markers, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-moveit-ros-robot-interaction, ros-indigo-moveit-ros-warehouse, ros-indigo-object-recognition-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-rviz
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-visualization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-geometric-shapes, ros-indigo-interactive-markers, ros-indigo-moveit-ros-perception, ros-indigo-moveit-ros-planning-interface, ros-indigo-moveit-ros-robot-interaction, ros-indigo-moveit-ros-warehouse, ros-indigo-object-recognition-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rviz
Description: Components of MoveIt that offer visualization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-visualization//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
